% Supplamentay material to the paper:
% Linear Characteristic Graphical Models: Representation, Inference and
% Applications. By Danny Bickson and Carlos Guestrin. In NIPS 2010.
% http://arxiv.org/abs/1008.5325
% 
% 
% Written by Danny Bickson, CMU
% Source code is available from http://www.cs.cmu.edu/~bickson/stable/
%

% Function for multiplying a stable distribution with a scalar

    function [s] = mult_stable(s1, a)
        assert(a~=0);
        s(1) = s1(1);
        s(2) = s1(2)*sign(a);
        s(3) = s1(3)*abs(a); %%%TODO
        s(4) = s1(4)*a;
        try
            verify_stable(s);
        catch 
            disp('BUG');
        end
        
    end