% Supplamentay material to the paper:
% Linear Characteristic Graphical Models: Representation, Inference and
% Applications. By Danny Bickson and Carlos Guestrin. In NIPS 2010.
% http://arxiv.org/abs/1008.5325
% 
% 
% Written by Danny Bickson, CMU
% Source code is available from http://www.cs.cmu.edu/~bickson/stable/

% This code multiplties a matrix scalar with a vector of stable random
% variables

function [vout]=stable_mult_mat(A,vin,prior)
    assert(sum(sum(isnan(A))) == 0);
    assert(sum(sum(~isreal(A))) == 0);
    assert(sum(sum(~isfinite(A))) == 0);
    n=length(A);
    vout = cell(n,1);
    for i=1:n
        vout{i} = stable_mult_vec({A(i,:), vin, n, prior});
    end
end