
% Supplamentay material to the paper:
% Linear Characteristic Graphical Models: Representation, Inference and
% Applications. By Danny Bickson and Carlos Guestrin. In NIPS 2010.
% http://arxiv.org/abs/1008.5325
% 
% 
% Written by Danny Bickson, CMU
% Source code is available from http://www.cs.cmu.edu/~bickson/stable/

% This code multiplties a vector of scalars with a vector of stable random
% variales.
% output: a stable distribution
function [vout]=stable_mult_vec(cdata)
    n=cdata{3}; % scalar vector length
    vec = cdata{2}; %vector of stable variables
    line = cdata{1}; %vector of scalar
    prior= cdata{4}; %optional prior
    
    list = {};
    for i=1:n
        if (line(i) ~= 0) % scalar in NOLAN's book, chapter 1, proposition 1.16(a) can not be zero
            s = mult_stable(vec{i}, line(i));
            list = [list {s}];
        end
    end
    vout = add_stable(list, prior);
end