% Supplamentay material to the paper:
% Linear Characteristic Graphical Models: Representation, Inference and
% Applications. By Danny Bickson and Carlos Guestrin. In NIPS 2010.
% http://arxiv.org/abs/1008.5325
% 
% 
% Written by Danny Bickson, CMU
% Source code is available from http://www.cs.cmu.edu/~bickson/stable/
%
% Verify parameters of a stable distribution
% Using proposition 1.16 of NOLAN's stable distribution book


function []= verify_stable(s)
    assert(s(1) > 0 && s(1) <= 2); %alpha
    assert(s(2) >=-1 && s(2) <= 1); %beta
    assert(s(3) >= 0); %gamma
    assert(isreal(s(4))); %delta
end